"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Codeartifact = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const CodeartifactClient_1 = require("./CodeartifactClient");
const AssociateExternalConnectionCommand_1 = require("./commands/AssociateExternalConnectionCommand");
const CopyPackageVersionsCommand_1 = require("./commands/CopyPackageVersionsCommand");
const CreateDomainCommand_1 = require("./commands/CreateDomainCommand");
const CreateRepositoryCommand_1 = require("./commands/CreateRepositoryCommand");
const DeleteDomainCommand_1 = require("./commands/DeleteDomainCommand");
const DeleteDomainPermissionsPolicyCommand_1 = require("./commands/DeleteDomainPermissionsPolicyCommand");
const DeletePackageCommand_1 = require("./commands/DeletePackageCommand");
const DeletePackageVersionsCommand_1 = require("./commands/DeletePackageVersionsCommand");
const DeleteRepositoryCommand_1 = require("./commands/DeleteRepositoryCommand");
const DeleteRepositoryPermissionsPolicyCommand_1 = require("./commands/DeleteRepositoryPermissionsPolicyCommand");
const DescribeDomainCommand_1 = require("./commands/DescribeDomainCommand");
const DescribePackageCommand_1 = require("./commands/DescribePackageCommand");
const DescribePackageVersionCommand_1 = require("./commands/DescribePackageVersionCommand");
const DescribeRepositoryCommand_1 = require("./commands/DescribeRepositoryCommand");
const DisassociateExternalConnectionCommand_1 = require("./commands/DisassociateExternalConnectionCommand");
const DisposePackageVersionsCommand_1 = require("./commands/DisposePackageVersionsCommand");
const GetAuthorizationTokenCommand_1 = require("./commands/GetAuthorizationTokenCommand");
const GetDomainPermissionsPolicyCommand_1 = require("./commands/GetDomainPermissionsPolicyCommand");
const GetPackageVersionAssetCommand_1 = require("./commands/GetPackageVersionAssetCommand");
const GetPackageVersionReadmeCommand_1 = require("./commands/GetPackageVersionReadmeCommand");
const GetRepositoryEndpointCommand_1 = require("./commands/GetRepositoryEndpointCommand");
const GetRepositoryPermissionsPolicyCommand_1 = require("./commands/GetRepositoryPermissionsPolicyCommand");
const ListDomainsCommand_1 = require("./commands/ListDomainsCommand");
const ListPackagesCommand_1 = require("./commands/ListPackagesCommand");
const ListPackageVersionAssetsCommand_1 = require("./commands/ListPackageVersionAssetsCommand");
const ListPackageVersionDependenciesCommand_1 = require("./commands/ListPackageVersionDependenciesCommand");
const ListPackageVersionsCommand_1 = require("./commands/ListPackageVersionsCommand");
const ListRepositoriesCommand_1 = require("./commands/ListRepositoriesCommand");
const ListRepositoriesInDomainCommand_1 = require("./commands/ListRepositoriesInDomainCommand");
const ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
const PublishPackageVersionCommand_1 = require("./commands/PublishPackageVersionCommand");
const PutDomainPermissionsPolicyCommand_1 = require("./commands/PutDomainPermissionsPolicyCommand");
const PutPackageOriginConfigurationCommand_1 = require("./commands/PutPackageOriginConfigurationCommand");
const PutRepositoryPermissionsPolicyCommand_1 = require("./commands/PutRepositoryPermissionsPolicyCommand");
const TagResourceCommand_1 = require("./commands/TagResourceCommand");
const UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
const UpdatePackageVersionsStatusCommand_1 = require("./commands/UpdatePackageVersionsStatusCommand");
const UpdateRepositoryCommand_1 = require("./commands/UpdateRepositoryCommand");
const commands = {
    AssociateExternalConnectionCommand: AssociateExternalConnectionCommand_1.AssociateExternalConnectionCommand,
    CopyPackageVersionsCommand: CopyPackageVersionsCommand_1.CopyPackageVersionsCommand,
    CreateDomainCommand: CreateDomainCommand_1.CreateDomainCommand,
    CreateRepositoryCommand: CreateRepositoryCommand_1.CreateRepositoryCommand,
    DeleteDomainCommand: DeleteDomainCommand_1.DeleteDomainCommand,
    DeleteDomainPermissionsPolicyCommand: DeleteDomainPermissionsPolicyCommand_1.DeleteDomainPermissionsPolicyCommand,
    DeletePackageCommand: DeletePackageCommand_1.DeletePackageCommand,
    DeletePackageVersionsCommand: DeletePackageVersionsCommand_1.DeletePackageVersionsCommand,
    DeleteRepositoryCommand: DeleteRepositoryCommand_1.DeleteRepositoryCommand,
    DeleteRepositoryPermissionsPolicyCommand: DeleteRepositoryPermissionsPolicyCommand_1.DeleteRepositoryPermissionsPolicyCommand,
    DescribeDomainCommand: DescribeDomainCommand_1.DescribeDomainCommand,
    DescribePackageCommand: DescribePackageCommand_1.DescribePackageCommand,
    DescribePackageVersionCommand: DescribePackageVersionCommand_1.DescribePackageVersionCommand,
    DescribeRepositoryCommand: DescribeRepositoryCommand_1.DescribeRepositoryCommand,
    DisassociateExternalConnectionCommand: DisassociateExternalConnectionCommand_1.DisassociateExternalConnectionCommand,
    DisposePackageVersionsCommand: DisposePackageVersionsCommand_1.DisposePackageVersionsCommand,
    GetAuthorizationTokenCommand: GetAuthorizationTokenCommand_1.GetAuthorizationTokenCommand,
    GetDomainPermissionsPolicyCommand: GetDomainPermissionsPolicyCommand_1.GetDomainPermissionsPolicyCommand,
    GetPackageVersionAssetCommand: GetPackageVersionAssetCommand_1.GetPackageVersionAssetCommand,
    GetPackageVersionReadmeCommand: GetPackageVersionReadmeCommand_1.GetPackageVersionReadmeCommand,
    GetRepositoryEndpointCommand: GetRepositoryEndpointCommand_1.GetRepositoryEndpointCommand,
    GetRepositoryPermissionsPolicyCommand: GetRepositoryPermissionsPolicyCommand_1.GetRepositoryPermissionsPolicyCommand,
    ListDomainsCommand: ListDomainsCommand_1.ListDomainsCommand,
    ListPackagesCommand: ListPackagesCommand_1.ListPackagesCommand,
    ListPackageVersionAssetsCommand: ListPackageVersionAssetsCommand_1.ListPackageVersionAssetsCommand,
    ListPackageVersionDependenciesCommand: ListPackageVersionDependenciesCommand_1.ListPackageVersionDependenciesCommand,
    ListPackageVersionsCommand: ListPackageVersionsCommand_1.ListPackageVersionsCommand,
    ListRepositoriesCommand: ListRepositoriesCommand_1.ListRepositoriesCommand,
    ListRepositoriesInDomainCommand: ListRepositoriesInDomainCommand_1.ListRepositoriesInDomainCommand,
    ListTagsForResourceCommand: ListTagsForResourceCommand_1.ListTagsForResourceCommand,
    PublishPackageVersionCommand: PublishPackageVersionCommand_1.PublishPackageVersionCommand,
    PutDomainPermissionsPolicyCommand: PutDomainPermissionsPolicyCommand_1.PutDomainPermissionsPolicyCommand,
    PutPackageOriginConfigurationCommand: PutPackageOriginConfigurationCommand_1.PutPackageOriginConfigurationCommand,
    PutRepositoryPermissionsPolicyCommand: PutRepositoryPermissionsPolicyCommand_1.PutRepositoryPermissionsPolicyCommand,
    TagResourceCommand: TagResourceCommand_1.TagResourceCommand,
    UntagResourceCommand: UntagResourceCommand_1.UntagResourceCommand,
    UpdatePackageVersionsStatusCommand: UpdatePackageVersionsStatusCommand_1.UpdatePackageVersionsStatusCommand,
    UpdateRepositoryCommand: UpdateRepositoryCommand_1.UpdateRepositoryCommand,
};
class Codeartifact extends CodeartifactClient_1.CodeartifactClient {
}
exports.Codeartifact = Codeartifact;
(0, smithy_client_1.createAggregatedClient)(commands, Codeartifact);
