import { CodeartifactClient } from "../CodeartifactClient";
import { ListRepositoriesInDomainCommand, } from "../commands/ListRepositoriesInDomainCommand";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListRepositoriesInDomainCommand(input), ...args);
};
export async function* paginateListRepositoriesInDomain(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.nextToken = token;
        input["maxResults"] = config.pageSize;
        if (config.client instanceof CodeartifactClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected Codeartifact | CodeartifactClient");
        }
        yield page;
        const prevToken = token;
        token = page.nextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
