import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  GetAuthorizationTokenRequest,
  GetAuthorizationTokenResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetAuthorizationTokenCommandInput
  extends GetAuthorizationTokenRequest {}
export interface GetAuthorizationTokenCommandOutput
  extends GetAuthorizationTokenResult,
    __MetadataBearer {}
export declare class GetAuthorizationTokenCommand extends $Command<
  GetAuthorizationTokenCommandInput,
  GetAuthorizationTokenCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: GetAuthorizationTokenCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetAuthorizationTokenCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetAuthorizationTokenCommandInput,
    GetAuthorizationTokenCommandOutput
  >;
  private serialize;
  private deserialize;
}
