import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  PutDomainPermissionsPolicyRequest,
  PutDomainPermissionsPolicyResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutDomainPermissionsPolicyCommandInput
  extends PutDomainPermissionsPolicyRequest {}
export interface PutDomainPermissionsPolicyCommandOutput
  extends PutDomainPermissionsPolicyResult,
    __MetadataBearer {}
export declare class PutDomainPermissionsPolicyCommand extends $Command<
  PutDomainPermissionsPolicyCommandInput,
  PutDomainPermissionsPolicyCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: PutDomainPermissionsPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutDomainPermissionsPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutDomainPermissionsPolicyCommandInput,
    PutDomainPermissionsPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
